View Issue Details

IDProjectCategoryView StatusLast Update
0003031DraftFeaturepublic2017-11-03 20:45
ReporterchrisbAssigned Toyorik 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003031: Draft To Sketch should handle bsplines and beziers
DescriptionIt would be great to have the function of Draft->Draft to Sketch extended, so that it can convert bsplines as well. Sketcher now has bsplines and a conversion should be possible.
Especially the often used workflow for imported inkscape SVGs would be improved.
Additional InformationDiscussion thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=22958

Context: https://forum.freecadweb.org/viewtopic.php?f=3&t=22421#p174038
[quote=NormandC]I agree wholeheartedly. The automatic path tracing in Inkscape is a fantastic tool, a real life saver. It as well as other Inkscape tools have saved me time on multiple occasions at work. Open source FTW. ;)

The only complaint I have is that it imports as a path object in FreeCAD that you cannot modify. Hopefully someday FreeCAD will import such objects and convert them to editable Draft objects or Sketches.[/quote]
TagsInkscape, SVG

Relationships

related to 0002896 new More advanced Draft WB Bspline editing 

Activities

yorik

2017-05-15 14:15

administrator   ~0009020

Okay, indeed that can be done now!

Kunda1

2017-06-15 12:37

manager   ~0009384

Opened discussion thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=22958

wmayer

2017-11-03 20:45

administrator   ~0010369

https://github.com/FreeCAD/FreeCAD/commit/d2f4fcb6a2deec4aa4c0ba1501bf07df8aacd86e

Issue History

Date Modified Username Field Change
2017-05-14 08:05 chrisb New Issue
2017-05-14 13:47 Kunda1 Tag Attached: SVG
2017-05-14 13:47 Kunda1 Tag Attached: Inkscape
2017-05-14 13:53 Kunda1 Relationship added related to 0002896
2017-05-14 14:13 Kunda1 Additional Information Updated View Revisions
2017-05-15 14:15 yorik Assigned To => yorik
2017-05-15 14:15 yorik Status new => assigned
2017-05-15 14:15 yorik Note Added: 0009020
2017-06-15 12:37 Kunda1 Additional Information Updated View Revisions
2017-06-15 12:37 Kunda1 Note Added: 0009384
2017-06-15 12:38 Kunda1 Project FreeCAD => Draft
2017-11-03 20:45 wmayer Status assigned => closed
2017-11-03 20:45 wmayer Resolution open => fixed
2017-11-03 20:45 wmayer Fixed in Version => 0.17
2017-11-03 20:45 wmayer Note Added: 0010369